itpp::Base_Slot< DataType > Class Template Referenceabstract
Protocols Module

Base Slot class. More...

`#include <itpp/protocol/signals_slots.h>`

Inheritance diagram for itpp::Base_Slot< DataType >:

## Public Member Functions

| Base_Slot (const std::string slot_name="Unamed Base_Slot")
| Default Constructor.
virtual | ~Base_Slot ()
| Desctuctor.
void | set_name (const std::string &slot_name)
| set slot name
virtual void | operator() (DataType signal)=0
| ADD DOCUMENTATION HERE.

## Protected Types

typedef std::list< Signal < DataType > *, std::allocator < Signal< DataType > * > >::iterator | Signal_Iterator
| ADD DOCUMENTATION HERE.

## Protected Member Functions

void | _connect (Signal< DataType > *signal)
| ADD DOCUMENTATION HERE.
void | _disconnect (Signal< DataType > *signal)
| ADD DOCUMENTATION HERE.

## Protected Attributes

std::string | name
| ADD DOCUMENTATION HERE.
std::list< Signal< DataType > *, std::allocator< Signal < DataType > * > > | connected_signals
| ADD DOCUMENTATION HERE.

## Friends

class | Signal< DataType >

## Detailed Description

### template<class DataType>
class itpp::Base_Slot< DataType >

Base Slot class.

Definition at line 56 of file signals_slots.h.

The documentation for this class was generated from the following file:

- itpp/protocol/signals_slots.h

Generated on Thu Mar 20 2014 12:26:47 for IT++ by Doxygen 1.8.6